<template>
  <el-dialog
    class="addUserDialog"
    :title="title"
    :visible.sync="isShow"
    :close-on-click-modal="false"
    width="470px"
    @close="handleclose"
  >
    <el-form
      label-position="left"
      ref="formInfo"
      label-width="100px"
      :rules="rules"
      :model="formdata"
    >
      <el-form-item label="用户名：" prop="userName">
        <el-input
          placeholder="请输入用户名"
          v-model="formdata.userName"
          autocomplete="off"
        ></el-input>
      </el-form-item>

      <el-form-item label="密码：" prop="password">
        <el-input
          placeholder="请输入密码"
          v-model="formdata.password"
          show-password
        ></el-input>
      </el-form-item>
      <el-form-item label="备注：" prop="notesNewVal">
        <el-input
          placeholder="请输入备注"
          v-model="formdata.notesNewVal"
          autocomplete="off"
        ></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="isShow = false">取 消</el-button>
      <el-button type="primary" @click="submitForm()">确 定</el-button>
    </div>
  </el-dialog>
</template>
<script>
import { addUserApi, updateUserApi } from "@/utils/api/index";
export default {
  props: {
    title: String,
  },
  data() {
    return {
      roleUser: "",
      isShow: false,
      roleoptions: [
        {
          value: 1,
          label: "管理员",
        },
        {
          value: 2,
          label: "用户",
        },
      ],

      formdata: {},
      rules: {
        userName: [
          { required: true, message: "请输入用户名", trigger: "blur" },
        ],

        password: [
          { required: true, message: "请输入密码", trigger: "blur" },
          // { min: 6, max: 8, message: "请输入6-8位字符", trigger: "blur" },
        ],
      },
    };
  },
  methods: {
    //判断
    getdataform(val) {
      console.log(val);
    },
    // 保存确定操作
    submitForm() {
      this.$refs.formInfo.validate((valid) => {
        if (valid) {
          if (this.title == "新增") {
          } else {
          }
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
    display() {
      this.isShow = true;
      this.roleUser = localStorage.getItem("role");
    },
    hide() {
      this.isShow = false;
    },
    handleclose() {
      //this.$parent.deviceList();
    },
  },
  mounted() {},
};
</script>
<style lang="less">
.addUserDialog {
  .el-form-item {
    .el-input,
    .el-select,
    .el-input-number {
      width: 100%;
    }
  }
}
</style>
